Bug 811937 - (CVE-2011-4952) CVE-2011-4952 cobbler (cobbler-web): Absent CSRF protection when using Django framework
CVE-2011-4952 cobbler (cobbler-web): Absent CSRF protection when using Django...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110928,repor...
: Security
Depends On: 811942 811943
Blocks: 811959
  Show dependency treegraph
 
Reported: 2012-04-12 07:11 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 10:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-12 07:11:47 EDT
It was found that when starting to use the Python Django web framework, the web interface of Cobbler, a network install server, failed to apply the Django built-in CSRF protection. A remote attacker could provide a specially-crafted web page, which once visited by an unsuspecting, valid Cobbler web interface user would potentially lead to unauthorized actions execution in the context of authenticated Cobbler user (the victim).

References:
[1] https://bugs.launchpad.net/ubuntu/oneiric/+source/cobbler/+bug/858878

CVE Request:
[2] http://www.openwall.com/lists/oss-security/2012/04/12/6

Ubuntu patch by Robie Basak:
[3] http://bazaar.launchpad.net/~racb/ubuntu/oneiric/cobbler/858878_858883/revision/53
Comment 1 Jan Lieskovsky 2012-04-12 07:14:34 EDT
This issue affects the versions of the cobbler package, as shipped with Fedora
EPEL 5 and Fedora EPEL 6. Please schedule an update.

As of right now, this issue did NOT affect the current versions of the cobbler
package, as shipped with Fedora release of 15 and 16 (the cobbler-2.0.11-3.*
versions). But since there are cobbler-2.2.2-1.fc* versions scheduled to get
next stable versions and these are affected too, please schedule Fedora release
15 and 16 cobbler package versions updates too.
Comment 4 Jan Lieskovsky 2012-04-12 07:29:01 EDT
Created cobbler tracking bugs for this issue

Affects: fedora-all [bug 811942]
Affects: epel-all [bug 811943]
Comment 6 Jan Lieskovsky 2012-04-12 07:33:18 EDT
This issue did NOT affect the versions of the cobbler package, as shipped with Red Hat Network Satellite Server version 5.4.1 for Red Hat Enterprise Linux 5 and 6, since they did NOT include support for Cobbler web interface.
Comment 7 Kurt Seifried 2012-04-12 12:13:40 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/04/12/10
Comment 8 Jan Lieskovsky 2012-06-20 10:34:55 EDT
Statement:

This issue did not affect the version of cobbler as shipped with Red Hat Network Satellite Server 5.4 as Red Hat Network Satellite Server did not include support for Cobbler web interface.

Note You need to log in before you can comment on or make changes to this bug.